package com.halo.halojuhesdk.core.channel;

import com.halo.halojuhesdk.core.request.SlotBean;

/**
 * @author Feng Zhanao
 * @date 2018/12/28
 * @description
 */
public interface IInsertProxyListener{
    /**
     * 广告被展示（主线程回调）
     */
    void onDisplayAd(SlotBean bean);

    /**
     * 广告被点击（主线程回调）
     */
    void onClickAd(SlotBean bean);

    /**
     * 广告被关闭（主线程回调）
     */
    void onCloseAd();

    /**
     * 广告准备完毕（主线程回调）
     */
    void onAdReady(SlotBean bean, String adType, double ecpm);

    /**
     * 广告加载失败（主线程回调）
     *
     * @param msg  错误信息
     */
    void onAdError(String msg,int code, String adType, SlotBean bean);
}
